﻿@using DataLayer.Model.Enums
@model Client_app.ViewModels.AllTaskViewModel
@{
    ViewData["Title"] = "ShowTaskTomorrow";
    Layout = "~/Views/Shared/_AccountLayout.cshtml";
}

<div class="card shadow-sm mt-3">
    <div class="card-header">
        <div class="row">
            <div class="col-6 text-left">
                <h5>تسک های امروز</h5>
            </div>
            <div class="col-6 text-right">

                <form>
                    <input class="form-control" type="text" placeholder="جستجو" name="filterName">
                    <button class="btn btn-outline-success " type="submit">جستجو</button>
                </form>
            </div>
        </div>
    </div>


    <div class="row p-4">
        @foreach (var item in Model.Tasks)
        {
            <div class="col-lg-5 col-md-6 col-sm-8 col-xs-12 mt-2">
                <div class="card text-light bg-secondary">
                    <div class="card-header">

                        <div class="row">
                            <div class="col-lg-8 col-md-8 col-sm-8 text-left"> @item.Name</div>
                            <div class="col-lg-4 col-md-4 col-sm-4 text-right">
                                <a asp-controller="Home" asp-action="EditTask" asp-route-id="@item.TaskId" class="text-success">
                                    ویرایش
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="card-title">
                            @if (item.IsDone == @IsDoneEnum.isdone)
                            {
                                <div class="text-success">انجام شده</div>
                            }
                            else
                            {
                                <div class="text-danger">انجام نشده</div>
                            }

                        </div>

                        @item.Description
                    </div>
                </div>


            </div>
        }
        <div class="row mt-1">
            <div class="justify-content-center">

                <ul class="pagination">
                    @for (int i = 1; i <= Model.CountPage; i++)
                    {
                        <li class="page-item   @((i== Model.CurrentPage)?"active":"")">
                            <a class="page-link" href="/ShowAllTask?pageId=@i">@i</a>
                        </li>
                    }



                </ul>

            </div>

        </div>


    </div>

</div>

